<template>

    <div class="bloc">
        <div class="row">

            <p>Voir par </p>
            <div v-for="categorie of categories" :key="categorie.id">

            <li class="col s8 m2" >
                <RouterLink :to="'/article/categorie/' + categorie.id" active-class="active"> {{ categorie.name}} </RouterLink>
            </li>  
            </div>
        </div>
    </div>

    
</template>

<script setup lang="ts">

import type { Article, Categorie } from '@/entities';
import { fetchIdCategoArticles } from '@/service/article-service';
import { fetchCategories } from '@/service/categorie-service';
import { onMounted, ref, watch } from 'vue';
import { useRoute } from 'vue-router';

const route = useRoute();
const categories = ref<Categorie[]>([]);
const articles = ref<Article[]>([]);

console.log(fetchCategories());

onMounted(async()=>{
    categories.value = await fetchCategories();
})

watch(() => route.params.id, async () =>{
    articles.value = await fetchIdCategoArticles(route.params.id);
}, {immediate:true})



</script>

<style scoped>

.bloc{
    margin: 50px;
}

li{

    font-family: "Quicksand", sans-serif;
    font-size: 20px;
    text-align: center;
    text-decoration: none;
    list-style: none;

    background-color: rgb(217, 239, 240);
    border-radius: 10px;

    margin: 30px;
    padding: 5px;

}

</style>